Traceability

Endpoints related to traceability.

GET /work-instruction-report/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
POST /work-instruction-report/
Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /work-instruction-report/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
PUT /work-instruction-report/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
GET /traceability-report/

List all of the traceability reports in the system for your account.

List all of the traceability reports in the system for your account.

Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

  • 404 Not Found – The requested report cannot be found.

  • 403 Forbidden – You are not authorized to complete the request.

  • 400 Bad Request – There is a mismatch in the bureau of the requesting user and the bureau of the requested user

POST /traceability-report/

Request to generate a new traceability report.

Request to generate a new traceability report.

Status Codes:
  • 201 Created – Resource created successfully

  • 404 Not Found – The requested report cannot be found.

  • 403 Forbidden – You are not authorized to complete the request.

  • 400 Bad Request – There is a mismatch in the bureau of the requesting user and the bureau of the requested user

Response Headers:
  • Location – URI of the created resource

GET /traceability-report/{uuid}/

Get a single traceability report by UUID.

Get a single traceability report by UUID.

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 200 OK – Successful response

  • 404 Not Found – The requested report cannot be found.

  • 403 Forbidden – You are not authorized to complete the request.

  • 400 Bad Request – There is a mismatch in the bureau of the requesting user and the bureau of the requested user

GET /work-instruction-report-action/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
POST /work-instruction-report-action/
Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /work-instruction-report-action/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
PUT /work-instruction-report-action/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
DELETE /work-instruction-report-action/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
GET /piece-actuals/

List all piece actuals.

List all piece actuals.

Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
POST /piece-actuals/
Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /piece-actuals/{uuid}/

Get an piece actuals by UUID.

Get an piece actuals by UUID.

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
PUT /piece-actuals/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
DELETE /piece-actuals/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
GET /work-instruction/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

POST /work-instruction/
Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /work-instruction/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 200 OK – Successful response

PUT /work-instruction/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
GET /work-checklists-for-resource/

Return work checklists linkings (with work_checklists with work_instructions)

Return work checklists linkings (with work_checklists with work_instructions) by filter related_uri; this filter is required for this API.

Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

  • 403 Forbidden – You are not authorized to complete the request.

  • 404 Not Found – One of the provided objects doesn’t exists.

This is used to update (1. adding new, 2. editing existing (including clone-and-edit operation for checklists,

This is used to update (1. adding new, 2. editing existing (including clone-and-edit operation for checklists, which used by other objects), 3. deleting) what checklists are attached to an object.

Parameters:
  • related_resource – related object’s resource, for example (line-item, post-processor-type)

  • related_uuid – instance UUID of the resource which owns transferred list of work_checklists.

  • payload – from signature

  • uuid (string) – The UUID of the resource

Status Codes:
GET /traveler/
Status Codes:
  • 200 OK – Successful response

GET /pieces-by-run/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

POST /pieces-by-run/
Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /pieces-by-run/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 200 OK – Successful response

PUT /pieces-by-run/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
DELETE /pieces-by-run/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
GET /work-instruction-report-summary/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

POST /work-instruction-report-summary/
Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /work-instruction-report-summary/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 200 OK – Successful response

PUT /work-instruction-report-summary/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
GET /piece/

List all of the print in the system for your account.

List all of the print in the system for your account.

Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

  • 404 Not Found – The requested piece cannot be found.

  • 400 Bad Request – Auto-generated piece names cannot be renamed.

GET /piece/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
PUT /piece/{uuid}/

Runs from HTTPS PUT to /piece

Runs from HTTPS PUT to /piece The only editable value is ‘name’. Any other values will be ignored.

Parameters:
  • uuid (string) – Piece uuid.

  • payload (dict) – payload.

  • uuid – The UUID of the resource

Status Codes: